@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.dataItem {
  max-width: 433px;
  flex-direction: column;
  padding: 0;

  & > div:first-child {
    padding-left: 25px;
  }

  & > div:last-child {
    padding-right: 25px;
  }

  .titleContainer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #b3c1e3;
    padding: 15px 25px;

    & > div:first-child {
      width: 100%;
      max-width: 240px;
      padding-left: 0;
    }

    & > div:last-child {
      padding-right: 0;
    }

    .numberSubtitle {
      @include font($fontGotham, 12px, 14.4px);
      color: $greyColor;
    }

    .numberData {
      @include font($fontGotham, 16px, 19.2px);
      color: $greyText;
    }
  }

  .specialDataContainer {
    padding: 15px 25px;

    .dataTitle {
      @include font($fontGotham, 14px, 16.8px);
      color: $greyText;
      margin-bottom: 15px;
    }

    .data {
      display: flex;
      justify-content: space-between;

      .dataSection {
        width: 100%;
        max-width: 105px;

        &:first-child {
          padding-left: 0;
        }

        &:last-child {
          padding-right: 0;
        }

        & > div:last-child {
          padding-right: 0;
          text-transform: none !important;
        }
      }
    }
  }
}

.section {
  width: 100%;
  max-width: 105px;

  & > div:last-child {
    padding-right: 25px;
  }
}

.active {
  color: $primaryColor;
}
